Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000265KdenliveUser Interfacepublic2008-10-22 23:442008-11-12 22:22
Reporteraspiers 
Assigned Tomadsdyd 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000265: mousewheel scroll direction in timeline is counter-intuitive
DescriptionBy convention mouse-wheel up should scroll towards the beginning of whatever you're editing, and mouse-wheel down should scroll towards the end. However in kdenlive it is the opposite. If this turns out to be one of those love-hate personal preference things, like mouse up/down for pitch up/down in flight sims, then it should be changeable in the settings.
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000596)
madsdyd (administrator)
2008-10-23 01:14

I can confirm the behaviour is a described.

This also goes for the clip monitor and project monitor.

KDE in KControl has a button to toggle mouse wheel directionality (globally). However, I have not been able to find any information in the KDE guidelines.

HOWEVER, moving the mouse over the bottom scroll bar, and turning the mouse wheel moves the timeline in the _opposite_ direction of what turning the mouse wheel over the timeline does. This to me indicate that the reporter is right, and that the directionality of the mouse wheel in the clip monitor, project monitor and timeline should be reversed, with no option to change it.
(0000602)
jmpoure (developer)
2008-10-23 08:29

What do you mean by convention:
Is this the case of other video editors?
(0000606)
aspiers (reporter)
2008-10-23 10:04

No, it's convention in word processors, browsers, spreadsheets, image viewers, audio editors, etc. etc. ... start == top, end == bottom. So I think most people's brains will be wired to expect this in video too.
(0000687)
madsdyd (administrator)
2008-10-25 13:51

Fixed in svn revision 2559

- Issue History
Date Modified Username Field Change
2008-10-22 23:44 aspiers New Issue
2008-10-23 01:14 madsdyd Note Added: 0000596
2008-10-23 01:14 madsdyd Status new => acknowledged
2008-10-23 01:15 madsdyd Priority normal => low
2008-10-23 01:15 madsdyd Projection none => tweak
2008-10-23 01:15 madsdyd Build => 2537
2008-10-23 01:15 madsdyd Target Version => 0.7.0
2008-10-23 08:29 jmpoure Note Added: 0000602
2008-10-23 10:04 aspiers Note Added: 0000606
2008-10-24 13:25 madsdyd Status acknowledged => assigned
2008-10-24 13:25 madsdyd Assigned To => madsdyd
2008-10-25 13:51 madsdyd Note Added: 0000687
2008-10-25 13:51 madsdyd Status assigned => closed
2008-10-25 13:51 madsdyd Resolution open => fixed
2008-10-25 13:51 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker